FAVE-SPI FLAM Anti Virus Exit (FAVE) Service Provider Interface (SPI)

Data Structures | Macros | Typedefs
FAVE.h File Reference

FAVE - FLAM anti virus exit. More...

`#include "FLMRTC.h"`
`#include "FLMDEF.h"`

Go to the source code of this file.

## Data Structures
struct | FaveOpn
| FAVE parameter structure for function code FAVE_FUNC_OPN. More...
struct | FaveRun
| FAVE Run structure. More...
struct | FaveCls
| FAVE Close structure. More...
union | FavePar
| FAVE Union of function structures. More...

## Macros
#define | FAVE_FUNC_OPN 1
| Function code for opening (used in the first call of the exit function) More...
#define | FAVE_FUNC_RUN 2
| Function code for intermediate processing data. More...
#define | FAVE_FUNC_CLS 3
| Function code for closing (used in the last call of the exit function) More...
#define | FAVE_DEFLIB_NAME "libfave"
| Default library name More...
#define | FAVE_DEFFUC_NAME "CLAMAVC"
| Default function name. More...
#define | FAVE_FLAG_WRITE 0x00000001U
| [INPUT] If set by exit driver, this signals that the exit is called in write operation More...
#define | FAVE_FLAG_REOPN 0x00000004U
| [INPUT] If set by exit driver, indicates that the exit should realize a fast open without additional information More...
#define | FAVE_FLAG_TRACE 0x00000010U
| [INPUT] If set by exit driver, this signals that the exit can produce statistics information when closing (optional) More...
#define | FAVE_FLAG_STATISTIC 0x00000020U
| [INPUT] If set by exit driver, this signals that the exit can produce trace information (optional) More...
#define | FAVE_FLAG_ACCESS 0x00000040U
| [INPUT] If set by exit driver, this signals that the exit can perform additional access control checks (optional) More...
#define | FAVE_FLAG_STRONG 0x00000080U
| [INPUT] If set by exit driver, this signals that the exit must perform strong access control checks (optional) More...
#define | FAVE_FLAG_COMPRESS 0x00000100U
| [OUTPUT] If set by service provider, indicates that compression conforming to RFC1952/51 (GZIP) is supported More...

## Typedefs
typedef struct FaveOpn | TsFaveOpn
| FAVE parameter structure for function code FAVE_FUNC_OPN. More...
typedef struct FaveRun | TsFaveRun
| FAVE Run structure. More...
typedef struct FaveCls | TsFaveCls
| FAVE Close structure. More...
typedef union FavePar | TuFavePar
| FAVE Union of function structures. More...
typedef void() | TfFavExit(void **ppHdl, int *piRetco, const int *piFunc, TuFavePar *puPara)
| FAVE function. More...

## Detailed Description

FAVE - FLAM anti virus exit.

Author
  limes datentechnik gmbh

Date
  21.10.2018

Copyright
  (c) 2018 limes datentechnik gmbh